Package: org.codehaus.groovy.reflection.stdclasses

## [Java] Class DoubleCachedClass

- org.codehaus.groovy.reflection.stdclasses.DoubleCachedClass

- Authors:
    Alex.Tkachman

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CachedClass` | `EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DoubleCachedClass (Class klazz, ClassInfo classInfo, boolean allowNull)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `coerceArgument(Object argument)`
    `` | `boolean` | `isAssignableFrom(Class classToTransformFrom)`
    `` | `boolean` | `isDirectlyAssignable(Object argument)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NumberCachedClass` | `coerceArgument, isAssignableFrom`

    `class CachedClass`

    `addNewMopMethods, coerceArgument, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public DoubleCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)

  - ### Method Detail

    - #### public Object coerceArgument(Object argument)

    - #### public boolean isAssignableFrom(Class classToTransformFrom)

    - #### public boolean isDirectlyAssignable(Object argument)